#!/usr/bin/perl
# perl exonCounterFromBioMartOP.pl idList.txt mart_export.txt 

use strict;
use warnings;

my $idList     = $ARGV[0];
my $bioMartOut = $ARGV[1];

open(BIOMART,"$bioMartOut");
my @bioMartOuts = <BIOMART>;
close BIOMART;

my $counter = 0;
open(IDLIST,"$idList");
while(my $id = <IDLIST>){
  $counter++;
  chomp($id);
  my $hit = grep(/$id/,@bioMartOuts);
  print "$counter $id $hit\n";
}
close IDLIST;
